GrailsIntegrationTestCompiler (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.test.compiler

## [Groovy] Class GrailsIntegrationTestCompiler

- org.codehaus.groovy.grails.test.compiler.GrailsIntegrationTestCompiler

- Compiles integration tests

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsIntegrationTestCompiler ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected org.codehaus.groovy.control.CompilationUnit` | `makeCompileUnit()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Grailsc` | `compile, makeCompileUnit, scanDir`
    `class org.codehaus.groovy.ant.Groovyc` | `org.codehaus.groovy.ant.Groovyc#getEncoding(), org.codehaus.groovy.ant.Groovyc#setExecutable(java.lang.String), org.codehaus.groovy.ant.Groovyc#setVerbose(boolean), org.codehaus.groovy.ant.Groovyc#getMemoryInitialSize(), org.codehaus.groovy.ant.Groovyc#setMemoryInitialSize(java.lang.String), org.codehaus.groovy.ant.Groovyc#getMemoryMaximumSize(), org.codehaus.groovy.ant.Groovyc#setMemoryMaximumSize(java.lang.String), org.codehaus.groovy.ant.Groovyc#setEncoding(java.lang.String), org.codehaus.groovy.ant.Groovyc#setJavaHome(java.io.File), org.codehaus.groovy.ant.Groovyc#setClasspath(org.apache.tools.ant.types.Path), org.codehaus.groovy.ant.Groovyc#setStacktrace(boolean), org.codehaus.groovy.ant.Groovyc#setKeepStubs(boolean), org.codehaus.groovy.ant.Groovyc#getClasspath(), org.codehaus.groovy.ant.Groovyc#setScriptBaseClass(java.lang.String), org.codehaus.groovy.ant.Groovyc#setFork(boolean), org.codehaus.groovy.ant.Groovyc#getExecutable(), org.codehaus.groovy.ant.Groovyc#getScriptBaseClass(), org.codehaus.groovy.ant.Groovyc#setErrorProperty(java.lang.String), org.codehaus.groovy.ant.Groovyc#setTargetBytecode(java.lang.String), org.codehaus.groovy.ant.Groovyc#getVerbose(), org.codehaus.groovy.ant.Groovyc#getTargetBytecode(), org.codehaus.groovy.ant.Groovyc#getFailonerror(), org.codehaus.groovy.ant.Groovyc#createSrc(), org.codehaus.groovy.ant.Groovyc#setSrcdir(org.apache.tools.ant.types.Path), org.codehaus.groovy.ant.Groovyc#getSrcdir(), org.codehaus.groovy.ant.Groovyc#setFailonerror(boolean), org.codehaus.groovy.ant.Groovyc#setSourcepath(org.apache.tools.ant.types.Path), org.codehaus.groovy.ant.Groovyc#setDestdir(java.io.File), org.codehaus.groovy.ant.Groovyc#createClasspath(), org.codehaus.groovy.ant.Groovyc#setClasspathRef(org.apache.tools.ant.types.Reference), org.codehaus.groovy.ant.Groovyc#setScriptExtension(java.lang.String), org.codehaus.groovy.ant.Groovyc#getScriptExtension(), org.codehaus.groovy.ant.Groovyc#getDestdir(), org.codehaus.groovy.ant.Groovyc#getSourcepath(), org.codehaus.groovy.ant.Groovyc#createSourcepath(), org.codehaus.groovy.ant.Groovyc#setSourcepathRef(org.apache.tools.ant.types.Reference), org.codehaus.groovy.ant.Groovyc#setListfiles(boolean), org.codehaus.groovy.ant.Groovyc#getListfiles(), org.codehaus.groovy.ant.Groovyc#setProceed(boolean), org.codehaus.groovy.ant.Groovyc#setIncludeantruntime(boolean), org.codehaus.groovy.ant.Groovyc#getIncludeantruntime(), org.codehaus.groovy.ant.Groovyc#setIncludejavaruntime(boolean), org.codehaus.groovy.ant.Groovyc#getIncludejavaruntime(), org.codehaus.groovy.ant.Groovyc#setUpdatedProperty(java.lang.String), org.codehaus.groovy.ant.Groovyc#setIncludeDestClasses(boolean), org.codehaus.groovy.ant.Groovyc#isIncludeDestClasses(), org.codehaus.groovy.ant.Groovyc#getTaskSuccess(), org.codehaus.groovy.ant.Groovyc#addConfiguredJavac(org.apache.tools.ant.taskdefs.Javac), org.codehaus.groovy.ant.Groovyc#setIndy(boolean), org.codehaus.groovy.ant.Groovyc#getIndy(), org.codehaus.groovy.ant.Groovyc#getConfigscript(), org.codehaus.groovy.ant.Groovyc#setConfigscript(java.lang.String), org.codehaus.groovy.ant.Groovyc#setStubdir(java.io.File), org.codehaus.groovy.ant.Groovyc#getStubdir(), org.codehaus.groovy.ant.Groovyc#getKeepStubs(), org.codehaus.groovy.ant.Groovyc#setForceLookupUnnamedFiles(boolean), org.codehaus.groovy.ant.Groovyc#getForceLookupUnnamedFiles(), org.codehaus.groovy.ant.Groovyc#getFileList(), org.codehaus.groovy.ant.Groovyc#execute(), org.codehaus.groovy.ant.Groovyc#add(org.apache.tools.ant.types.selectors.FileSelector), org.codehaus.groovy.ant.Groovyc#setCaseSensitive(boolean), org.codehaus.groovy.ant.Groovyc#setIncludes(java.lang.String), org.codehaus.groovy.ant.Groovyc#setExcludes(java.lang.String), org.codehaus.groovy.ant.Groovyc#setProject(org.apache.tools.ant.Project), org.codehaus.groovy.ant.Groovyc#addSelector(org.apache.tools.ant.types.selectors.SelectSelector), org.codehaus.groovy.ant.Groovyc#addOr(org.apache.tools.ant.types.selectors.OrSelector), org.codehaus.groovy.ant.Groovyc#hasSelectors(), org.codehaus.groovy.ant.Groovyc#selectorCount(), org.codehaus.groovy.ant.Groovyc#getSelectors(org.apache.tools.ant.Project), org.codehaus.groovy.ant.Groovyc#selectorElements(), org.codehaus.groovy.ant.Groovyc#appendSelector(org.apache.tools.ant.types.selectors.FileSelector), org.codehaus.groovy.ant.Groovyc#addAnd(org.apache.tools.ant.types.selectors.AndSelector), org.codehaus.groovy.ant.Groovyc#addNot(org.apache.tools.ant.types.selectors.NotSelector), org.codehaus.groovy.ant.Groovyc#addNone(org.apache.tools.ant.types.selectors.NoneSelector), org.codehaus.groovy.ant.Groovyc#addMajority(org.apache.tools.ant.types.selectors.MajoritySelector), org.codehaus.groovy.ant.Groovyc#addSize(org.apache.tools.ant.types.selectors.SizeSelector), org.codehaus.groovy.ant.Groovyc#addDifferent(org.apache.tools.ant.types.selectors.DifferentSelector), org.codehaus.groovy.ant.Groovyc#addFilename(org.apache.tools.ant.types.selectors.FilenameSelector), org.codehaus.groovy.ant.Groovyc#addType(org.apache.tools.ant.types.selectors.TypeSelector), org.codehaus.groovy.ant.Groovyc#addCustom(org.apache.tools.ant.types.selectors.ExtendSelector), org.codehaus.groovy.ant.Groovyc#addContains(org.apache.tools.ant.types.selectors.ContainsSelector), org.codehaus.groovy.ant.Groovyc#addPresent(org.apache.tools.ant.types.selectors.PresentSelector), org.codehaus.groovy.ant.Groovyc#addDepth(org.apache.tools.ant.types.selectors.DepthSelector), org.codehaus.groovy.ant.Groovyc#addDepend(org.apache.tools.ant.types.selectors.DependSelector), org.codehaus.groovy.ant.Groovyc#addContainsRegexp(org.apache.tools.ant.types.selectors.ContainsRegexpSelector), org.codehaus.groovy.ant.Groovyc#addModified(org.apache.tools.ant.types.selectors.modifiedselector.ModifiedSelector), org.codehaus.groovy.ant.Groovyc#setFollowSymlinks(boolean), org.codehaus.groovy.ant.Groovyc#createInclude(), org.codehaus.groovy.ant.Groovyc#createExclude(), org.codehaus.groovy.ant.Groovyc#setDefaultexcludes(boolean), org.codehaus.groovy.ant.Groovyc#createPatternSet(), org.codehaus.groovy.ant.Groovyc#XsetItems(java.lang.String), org.codehaus.groovy.ant.Groovyc#XsetIgnore(java.lang.String), org.codehaus.groovy.ant.Groovyc#createIncludesFile(), org.codehaus.groovy.ant.Groovyc#createExcludesFile(), org.codehaus.groovy.ant.Groovyc#setIncludesfile(java.io.File), org.codehaus.groovy.ant.Groovyc#setExcludesfile(java.io.File), org.codehaus.groovy.ant.Groovyc#addDate(org.apache.tools.ant.types.selectors.DateSelector), org.codehaus.groovy.ant.Groovyc#log(java.lang.String, int), org.codehaus.groovy.ant.Groovyc#log(java.lang.String, java.lang.Throwable, int), org.codehaus.groovy.ant.Groovyc#log(java.lang.Throwable, int), org.codehaus.groovy.ant.Groovyc#log(java.lang.String), org.codehaus.groovy.ant.Groovyc#init(), org.codehaus.groovy.ant.Groovyc#getOwningTarget(), org.codehaus.groovy.ant.Groovyc#getTaskType(), org.codehaus.groovy.ant.Groovyc#setTaskType(java.lang.String), org.codehaus.groovy.ant.Groovyc#setTaskName(java.lang.String), org.codehaus.groovy.ant.Groovyc#setOwningTarget(org.apache.tools.ant.Target), org.codehaus.groovy.ant.Groovyc#getRuntimeConfigurableWrapper(), org.codehaus.groovy.ant.Groovyc#setRuntimeConfigurableWrapper(org.apache.tools.ant.RuntimeConfigurable), org.codehaus.groovy.ant.Groovyc#maybeConfigure(), org.codehaus.groovy.ant.Groovyc#reconfigure(), org.codehaus.groovy.ant.Groovyc#perform(), org.codehaus.groovy.ant.Groovyc#bindToOwner(org.apache.tools.ant.Task), org.codehaus.groovy.ant.Groovyc#getTaskName(), org.codehaus.groovy.ant.Groovyc#clone(), org.codehaus.groovy.ant.Groovyc#getLocation(), org.codehaus.groovy.ant.Groovyc#getProject(), org.codehaus.groovy.ant.Groovyc#setDescription(java.lang.String), org.codehaus.groovy.ant.Groovyc#getDescription(), org.codehaus.groovy.ant.Groovyc#setLocation(org.apache.tools.ant.Location), org.codehaus.groovy.ant.Groovyc#wait(long, int), org.codehaus.groovy.ant.Groovyc#wait(long), org.codehaus.groovy.ant.Groovyc#wait(), org.codehaus.groovy.ant.Groovyc#equals(java.lang.Object), org.codehaus.groovy.ant.Groovyc#toString(), org.codehaus.groovy.ant.Groovyc#hashCode(), org.codehaus.groovy.ant.Groovyc#getClass(), org.codehaus.groovy.ant.Groovyc#notify(), org.codehaus.groovy.ant.Groovyc#notifyAll()`

- - ### Constructor Detail

    - #### GrailsIntegrationTestCompiler()

  - ### Method Detail

    - #### @java.lang.Override protected org.codehaus.groovy.control.CompilationUnit makeCompileUnit()